English

מחולל קוד QR חינם

קוד QR סטטי, בלי הרשמה, הגבלה או סימן מים. נוצר בדפדפן שלכם, התוכן לא נשלח לשרת, והקוד ממשיך לעבוד בלי תלות בנו.

מה הקוד יכיל?

הקלידו תוכן והקוד יופיע כאן

    מה בדיוק מקודד?

    עיצוב

    צורת המודולים
    מסגרת הפינות
    מרכז הפינות
    לוגו
    בחירת תמונה
    לא נבחר לוגו
    4 מודולים

    איך יוצרים קוד QR?

    בוחרים סוג תוכן, ממלאים את השדות, ומורידים את הקוד. אין צורך בחשבון או בהתקנה, ובדרך כלל זה לוקח פחות מדקה.

    1. בוחרים סוג תוכןקישור, טקסט, Wi-Fi, איש קשר, WhatsApp, טלפון, SMS, אימייל, מיקום או אירוע.
    2. ממלאים את הפרטיםהקוד מתעדכן תוך כדי הקלדה, והתוכן נשאר בדפדפן.
    3. מעצבים אם רוציםצבעים, מעבר צבע, צורות, לוגו ושוליים. אם בחירה מקשה על הסריקה, תופיע אזהרה.
    4. מורידים ובודקיםPNG בגודל הרצוי, SVG לדפוס או העתקה ללוח. לפני הדפסה סורקים את הקוד בשני מכשירים לפחות.

    מה זה קוד QR?

    קוד QR הוא ברקוד דו-ממדי שמכיל טקסט, קישור או נתונים אחרים, ומצלמת הטלפון יכולה לקרוא אותו. חברת Denso Wave היפנית פיתחה אותו ב-1994, והוא מוגדר בתקן הבינלאומי ISO/IEC 18004.

    הקוד בנוי מריבועים קטנים שנקראים מודולים. יש 40 גרסאות, מ-21×21 מודולים בגרסה 1 ועד 177×177 בגרסה 40. ככל שיש יותר נתונים, הגרסה גבוהה יותר והקוד צפוף יותר. הקיבולת המרבית היא 2,953 בתים, שהם כ-1,476 אותיות עבריות, כי כל אות עברית תופסת 2 בתים ב-UTF-8.

    רמת תיקון השגיאות קובעת כמה מהקוד אפשר לשחזר אם חלק ממנו נפגם:

    רמהשחזור בקירובקיבולת מרביתמתי מתאימה
    L7%2,953 בתיםהרבה נתונים, מסך או נייר נקי
    M15%2,331 בתיםברירת המחדל לרוב השימושים
    Q25%1,663 בתיםשילוט וסביבה שבה הקוד עלול להתלכלך
    H30%1,273 בתיםקוד עם לוגו

    מה ההבדל בין קוד QR סטטי לדינמי?

    בקוד סטטי התוכן כתוב בתוך הקוד עצמו, ולכן הוא עובד בלי שירות חיצוני אבל אי אפשר לשנות אותו אחרי ההדפסה. קוד דינמי מכיל קישור קצר לשירות הפניות, ולכן אפשר לשנות את היעד, אבל הוא מפסיק לעבוד אם השירות או המנוי מסתיימים.

    סטטי (הכלי הזה)דינמי
    איפה התוכןבתוך הקודבשרת של השירות
    תוקףאין תפוגה מובניתתלוי בשירות ובמנוי
    שינוי היעד אחרי הדפסהלא אפשריאפשרי
    מעקב אחר סריקותאיןבדרך כלל יש
    פעולה בלי אינטרנטWi-Fi, טקסט ואיש קשר נקראים בלי רשתדורש רשת בכל סריקה

    רוצים קוד סטטי עם יעד שאפשר לשנות? קודדו קישור לדף באתר שלכם, ושנו את מה שהדף מציג או את ההפניה שלו. הקוד ימשיך לעבוד כל עוד הכתובת באתר קיימת.

    באיזה גודל להדפיס קוד QR ואיך לוודא שהוא נסרק?

    כלל האצבע: לפחות 2×2 ס"מ, ורוחב של עשירית ממרחק הסריקה. קוד שנסרק ממטר אחד צריך להיות ברוחב של כ-10 ס"מ. קוד צפוף צריך להיות גדול יותר. הכלי מציג הערכת גודל מינימלי לפי מספר המודולים של הקוד.

    מרחק סריקהרוחב מומלץדוגמה
    עד 20 ס"מ2 ס"מכרטיס ביקור, אריזה
    50 ס"מ5 ס"מתפריט, עלון
    1 מטר10 ס"מפוסטר, דלפק
    3 מטרים30 ס"משילוט בחנות
    10 מטרים1 מטרשלט חוצות
    • ניגודיות: קוד כהה על רקע בהיר. קוד בהיר על רקע כהה נכשל בסורקים רבים.
    • שוליים: התקן דורש שטח ריק ברוחב 4 מודולים מכל צד. זו ברירת המחדל כאן.
    • קובץ: SVG לדפוס, כי הוא וקטורי ולא מאבד חדות. PNG למסך ולמסמכים.
    • משטח: נייר מט עדיף על גימור מבריק שמחזיר אור, ומשטח שטוח עדיף על מעוקל.
    • בדיקה: סורקים את הקוד המודפס בפועל, בשני מכשירים לפחות, ובמרחק האמיתי.

    באייפון מצלמת המערכת קוראת קודי QR מאז iOS 11. באנדרואיד אפשר לסרוק במצלמה ברוב המכשירים החדשים, או ב-Google Lens.

    איך כל סוג תוכן מקודד?

    כל סוג תוכן נכתב בפורמט שהטלפון מזהה, ולכן הסריקה פותחת את הפעולה המתאימה ולא רק מציגה טקסט. אפשר לראות את התוכן המדויק תחת "מה בדיוק מקודד?" ליד הקוד.

    TypeFormat
    Wi-FiWIFI:T:WPA;S:name;P:pass;;
    vCardBEGIN:VCARD / VERSION:3.0
    WhatsApphttps://wa.me/972501234567?text=…
    Phonetel:0501234567 (RFC 3966)
    SMSsms:0501234567?body=… (RFC 5724)
    Emailmailto:a@b.co?subject=… (RFC 6068)
    Locationgeo:32.0853,34.7818 (RFC 5870)
    EventBEGIN:VEVENT (RFC 5545)

    האם התוכן שאני מקליד נשלח לשרת?

    לא. הקוד נוצר על ידי JavaScript בדפדפן שלכם, ומה שאתם מקלידים לא נשלח לשום מקום, כולל סיסמאות Wi-Fi ולוגו. אין באתר אנליטיקס, עוגיות או פרסומות.

    • כמו בכל אתר, השרת ו-Cloudflare רואים את בקשת טעינת הדף עצמו (למשל כתובת IP ודפדפן), אבל לא את מה שמוקלד בו.
    • בחירות העיצוב נשמרות ב-localStorage במכשיר שלכם בלבד. תוכן השדות, הסיסמה והלוגו לא נשמרים.
    • כפתור "המיקום שלי" משתמש בשירות המיקום של הדפדפן, רק אם לוחצים עליו ומאשרים.
    • אפשר לבדוק את זה בעצמכם: פתחו את לשונית Network בכלי המפתחים והקלידו. לא תופיע אף בקשה.

    שאלות נפוצות

    האם המחולל באמת חינם?

    כן. אין הרשמה, הגבלת כמות, סימן מים או פרסומות, ואפשר להשתמש בקודים גם למטרות מסחריות.

    האם הקוד יפסיק לעבוד יום אחד?

    לקוד סטטי אין תפוגה מובנית, והוא לא עובר דרך שירות שלנו. הוא יפסיק להועיל רק אם היעד שלו ישתנה, למשל אם האתר ייסגר או שסיסמת ה-Wi-Fi תוחלף.

    אפשר לשנות קוד אחרי שהודפס?

    לא. התוכן כתוב בתוך הקוד. אם היעד עשוי להשתנות, קודדו קישור לדף באתר שלכם ושנו את הדף או את ההפניה שלו.

    האם עברית עובדת בקוד QR?

    כן. הטקסט מקודד ב-UTF-8, שבו כל אות עברית תופסת 2 בתים. אפליקציות סריקה עדכניות מציגות אותו נכון, ובכל זאת כדאי לבדוק במכשירים של הקהל שלכם.

    אפשר להוסיף לוגו?

    כן. עם לוגו, רמת תיקון השגיאות עולה אוטומטית ל-H, ומודולים שמתחת ללוגו מוסרים. ברירת המחדל היא 22% מרוחב הקוד, ומעל כ-25% תופיע אזהרה. אחרי הוספת לוגו חובה לבדוק סריקה.

    מה עדיף להוריד, PNG או SVG?

    SVG לדפוס ולהגדלה, כי הוא וקטורי ונשאר חד בכל גודל. PNG למסמכים, למצגות ולאתרים, בגדלים עד 4096 פיקסלים.

    האם קוד Wi-Fi חושף את הסיסמה?

    כן, למי שסורק אותו. הסיסמה כתובה בקוד כטקסט ואפשר לקרוא אותה, ולכן כדאי להציב אותו רק במקום שבו מותר לכולם להתחבר, ועדיף ברשת אורחים.

    כמה קודים מותר ליצור?

    כמה שרוצים. הכלי רץ במכשיר שלכם, כך שאין מכסה ואין מה להגביל.